import os
import pandas as pd

rd = '/data/inca_vol1/input_data/crop_pollination/input_raw/Agri4Cast/Glob_Rad/'
wd = '/data/inca_vol1/input_data/crop_pollination/input_intermediate/Agri4Cast_preprocessed'

os.chdir(wd)
print(os.getcwd())

dat = [f for f in os.listdir(rd) if f.endswith('.csv')]
print(dat)
mygrid = pd.DataFrame()
for data in dat:
    print(f"processing data {data}")
    mydat = pd.read_csv(rd + data, sep=';', decimal='.', usecols = [0,1,2]).drop_duplicates()
    mygrid = pd.concat([mygrid, mydat]).drop_duplicates()

mygrid.to_csv('grid.csv', sep=',', index=False)
print("end")
